package com.tutego.insel.util.list;

import java.util.*;

public class CutCopyPasteList
{
  public static void main( String[] args )
  {
    List<String> a = new ArrayList<String>(
        Arrays.asList( "0 1 2 3 4 5 6 7 8 9".split( " " ) ));
    a.subList( a.size() / 2 - 3, a.size() / 2 + 3 ).clear();
    
    System.out.println( a );                   // [0, 1, 8, 9]
    
    // Iterator besorgen und Reihe ausgeben
    
    ListIterator<String> it = a.listIterator( a.size() );
    
    while ( it.hasPrevious() )
      System.out.print( it.previous() + " " ); // 9 8 1 0
    
    // Datenstruktur kürzen und klonen
    
    a.subList( 2, a.size() ).clear();
    
    System.out.printf( "%n%s", a );            // [0, 1]
  }
}
